Removes an item from the cart.
/
Update cart item from cur...
Digital Distribution Hub (1.0.0)
Digital Distribution Hub is a new Xsolla solution that aims to connect digital and cash based payments via push payments technology and e-commerce.
This reference combines API endpoints for two Xsolla products: In-Game Store and Pay Station. There are two base URLs:
https://store.xsolla.com/apifor the Common, Catalog, Cart, and Order groups.https://ps.xsolla.comfor the Notifications group.
API endpoints in the Catalog group don’t require authorization.
To work with operations in the Cart and Order groups, you need to generate a token via Create user token.
Note
This reference shows a design of a future API and not a fully functioning interface. Currently, you can try only Catalog and Notifications groups endpoints. If you’d like to share your feedback, please email us at techdoc@xsolla.com.
This reference shows a design of a future API and not a fully functioning interface. Currently, you can try only Catalog and Notifications groups endpoints. If you’d like to share your feedback, please email us at techdoc@xsolla.com.
Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/digital-distribution-hub/
https://store.xsolla.com/api/
- Mock serverhttps://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/{project_id}/cart/{cart_id}/item/{item_sku}
- https://store.xsolla.com/api/v2/project/{project_id}/cart/{cart_id}/item/{item_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/cart/custom_id/item/booster_mega_1 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'- Mock serverhttps://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/{project_id}/cart/item/{item_sku}
- https://store.xsolla.com/api/v2/project/{project_id}/cart/item/{item_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
-u <username>:<password> \
https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/cart/item/booster_mega_1 \
-H 'Content-Type: application/json' \
-d '{
"currency": "string",
"quantity": 123
}'- Mock serverhttps://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/{project_id}/cart/item/{item_sku}
- https://store.xsolla.com/api/v2/project/{project_id}/cart/item/{item_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/cart/item/booster_mega_1 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'